package com.byteslounge.ejb;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.inject.Inject;

import com.byteslounge.bean.TestTransactionalScope;

@Stateless
public class ServiceBean implements Service {

	@EJB
	private NestedService nestedService;

	@Inject
	private TestTransactionalScope testTransactionalScope;

	@Override
	public void doWork() {
		System.out.println("ServiceBean::doWork() called");
		System.out.println("ServiceBean:: testTransactionalScope value is "
				+ testTransactionalScope.getValue());
		nestedService.doWork();
	}

}
